#define TRIGGER 8
#define ECHO 9

float Misura(int trg, int echo)
{
  digitalWrite(trg, LOW);
  digitalWrite(trg,HIGH);
  delayMicroseconds(10);
  digitalWrite(trg,LOW);
  unsigned long durata = pulseIn(echo, HIGH);
  //Serial.println(durata);
  float d = 0.017 * durata;  
  return d;
  }
  
void setup() {
  Serial.begin(9600);
  pinMode(TRIGGER, OUTPUT);
  pinMode(ECHO, INPUT);  
}

void loop() {
  float distanza = Misura(TRIGGER, ECHO);
  Serial.println(distanza);
  delay(500);
}
