#define SERVO 10
int pos;
// inizio codice di gestione servo
void servoWrite(int pinServo, int angolo)
{
  int velocita = 100;
  int pulseWidth = map(angolo, 0,180, 544, 2400);
  do {
    digitalWrite(pinServo,HIGH);
    delayMicroseconds(pulseWidth);
    digitalWrite(pinServo,LOW);
    delay(20);    
    velocita -= 20;
  } while (velocita>=0);
  pos = angolo;
}
void ruota(int pinServo, int angoloIni, int angoloFin, int Step)
{
  int i;
  if (angoloFin >=angoloIni)
    for (i=angoloIni;i<angoloFin;i+=Step)
    {
      servoWrite(SERVO, i);
    }
  else
    for (i=angoloIni;i>angoloFin;i-=Step)
    {
      servoWrite(SERVO, i);
    }
  }
// fine codice di gestione servo
void setup() {
  pinMode(SERVO, OUTPUT);
  servoWrite(SERVO, 0);
}
void loop() {
  int i;
  for (i=0;i<180;i+=45)
  {
    servoWrite(SERVO, i);
    delay(500);
  }  
  for (i=180;i>0;i-=45)
  {
    servoWrite(SERVO, i);
    delay(500);
  }
  ruota(SERVO,0, 180, 10);
  ruota(SERVO,180, 0, 5);
  delay(500);
}
