#include "DHT.h"
#include <LiquidCrystal.h>
#define DHTPIN 7
#define DHTTYPE DHT11   // DHT 11
//#define DHTTYPE DHT22   // DHT 22 
//#define DHTTYPE DHT21   // DHT 21 
DHT dht(DHTPIN, DHTTYPE);
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
void setup() {
  lcd.begin(16,2);
  dht.begin();
}

void loop() {
  delay(2000);
  float h = dht.readHumidity();
  float t = dht.readTemperature(); 
  if (isnan(h) || isnan(t)) {
    lcd.clear();
    lcd.print("DHT non presente");
    lcd.setCursor(0,1);
    lcd.print("o non funziona");
    return;
  }
  lcd.setCursor(0,0);
  lcd.print("Umidita':");
  lcd.print(h);
  lcd.print("%");
  lcd.setCursor(0,1);
  lcd.print("Temper. :");
  lcd.print(t);
  lcd.print(char(223));  
  lcd.print("C"); 
}
