#include <Keypad.h>
#include <LiquidCrystal.h>
#define LED 13
#define BUZZER 10
const byte ROWS = 4; //quattro righe keypad
const byte COLS = 4; //quattro colonne keypad
char keys[ROWS][COLS] = {
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};
byte rowPins[ROWS] = {14, 15, 16, 17}; 
byte colPins[COLS] = {6, 7, 8, 9}; 
int caratteri=0;
int caratteriOK = 0;
const int lunghezza = 4;
char combi[lunghezza] = {'1','2','3','A'};
Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
const byte LCDROWS = 2; //due righe LCD
const byte LCDCOLS = 16; //sedici colonne LCD
void setup(){
  lcd.begin(LCDCOLS, LCDROWS);
  lcd.print("Combinazione:");
  lcd.setCursor(0,1);
  pinMode(LED, OUTPUT);
  digitalWrite(LED, LOW);
}
void resetPassw()
{
   lcd.setCursor(0,1);
   lcd.print("          ");
   lcd.setCursor(0,1);
   caratteri=0;
   caratteriOK = 0;  
  }
void loop(){   
  char key = keypad.getKey(); 
  if (key != NO_KEY)    
  {
    tone(BUZZER, 2000,100);
    if (key == 'C')
      resetPassw();
    else
      {
        lcd.write("*");
        if (key == combi[caratteri])
            caratteriOK++;
        
        caratteri++;
        if (caratteri==lunghezza)
        {
          lcd.setCursor(0,1);
          if (caratteriOK==lunghezza)
           {
              digitalWrite(LED, HIGH);                 
              lcd.print("Apertura");  
              tone(BUZZER, 3000,250); 
           }
          else
            {          
              lcd.print("Errore !!!");
              tone(BUZZER, 200,1000); 
            }   
          delay(2000);
          digitalWrite(LED, LOW);
          resetPassw();
       }
    }
  }
}  
